%bcond_with devel
Name:          libXxf86misc
Version:       1.0.4
Release:       5
Summary:       Extension library for the XFree86-Misc X extension
License:       MIT
URL:           https://www.x.org
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
Source1:       xf86misc.h
Source2:       xf86mscstr.h

BuildRequires: autoconf automake libtool xorg-x11-util-macros
BuildRequires: pkgconfig(xproto) pkgconfig(xext) sed

%if !%{with devel}
Obsoletes: libXxf86misc-devel <= 1.0.4-4
%endif

%description
Extension library for the XFree86-Misc X extension.

%if %{with devel}
%package       devel
Summary:       Development package for libXxf86misc
Requires:      %{name} = %{version}-%{release}

%description devel
The development package for libXxf86misc.
%endif

%package_help

%prep
%autosetup -n %{name}-%{version} -p1
sed -i s/xf86miscproto// configure.ac
mkdir -p src/X11/extensions/
cp %{SOURCE1} %{SOURCE2} src/X11/extensions/

%build
autoreconf -vif
%configure
%make_build

%install
%make_install
%delete_la

%if %{with devel}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/X11/extensions
install -m 0644 -p %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/X11/extensions
%else
rm -f $RPM_BUILD_ROOT%{_libdir}/*.so
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%endif

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc COPYING README

%if %{with devel}
%files devel
%defattr(-,root,root)
%{_libdir}/{*.a,*.so}
%{_libdir}/*/*.pc
%endif

%files help
%defattr(-,root,root)
%{_mandir}/man3/*.3*
%doc ChangeLog

%changelog
* Sat Aug 29 2020 jinzhimin <jinzhimin2@huawei.com> - 1.0.4-5
- Type: bugfix
- ID:   NA
- SUG:  NA
- DESC: add xf86misc.h and xf86mscstr.h to solve build err

* Mon Sep 02 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.4-4
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: rebuilt spec, add help package.

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.4-3
- Package init
